Anonymous Login
2017-09-20 11:14 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001895OpenClonkEngine - C4Scriptpublic2017-03-15 00:02
ReporterK-Pone 
Assigned ToIsilkor 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
Summary0001895: Crash on wrong parameter count
DescriptionThe crash from #1983 occurs when calling a function with more parameters than defined.

In my particular case this works:
ScheduleCall(nil, "PostPlayerInit", 15, 0, [plr, x, y, base, team, extradata, crew, relaunch]);

This does not:
ScheduleCall(nil, "PostPlayerInit", 15, 0, plr, x, y, base, team, extradata, crew, relaunch);

An older Snapshot shows an ERROR in the console telling you you called a function with more parameters than defined. The current snapshot shows the crash from #1983.
Steps To ReproduceCall a function with more parameters than the definition expects. (like Explode(50, 1); expects 1 parameter but gets 2)
Additional InformationOccurs since autobuild 2083
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005627

Isilkor (developer)

Fixed in ed193a0.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-01 18:03 K-Pone New Issue
2017-03-15 00:02 Isilkor Note Added: 0005627
2017-03-15 00:02 Isilkor Assigned To => Isilkor
2017-03-15 00:02 Isilkor Status new => resolved
2017-03-15 00:02 Isilkor Resolution open => fixed
+Issue History